<div class="application-reject-dialog">
  <div class="container">
    <mat-toolbar class="mb-2">
      <span>Odrzucenie wniosku {{application?.title}}</span>
      <span class="fill-remaining-space"></span>
      <button class="btn-dialog-close" mat-stroked-button (click)="onClose()" tabIndex="-1">
        <mat-icon matTooltip="Zamknij">clear</mat-icon>
      </button>
    </mat-toolbar>

    <div class="mb-2">
      <span>Wniosek złożony przez: {{application?.createdBy?.data?.firstName}} {{application?.createdBy?.data?.lastName}} </span>
      <span>w dniu: {{application?.createdAt | date: 'dd/MM/yyyy, hh:mm'}} </span>
    </div>

    <form [formGroup]="applicationRejectForm" (submit)="onSubmit()">
      <div fxLayout="column">
        <mat-form-field>
          <textarea matInput formControlName="rejectionReason"
                    placeholder="Podaj powód dla którego wniosek został odrzucony"
                    required></textarea>
          <mat-error>Powód odrzucenie jest wymagany.</mat-error>
        </mat-form-field>
      </div>

      <div class="button-row">
        <button mat-raised-button color="primary" type="submit" [disabled]="applicationRejectForm.invalid">
          Zapisz
        </button>
        <button mat-raised-button color="warn" (click)="onClear()">Wyczyść</button>
      </div>

    </form>
  </div>
</div>
